Skip to main content
POST
Create Cash Payment

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Query Parameters

payment_medium
string
default:CASH

Body

application/json
id
string
required
total
integer
required
totalOutstanding
integer
required
status
enum<string>
required
Available options:
OUTSTANDING,
PAID,
EXTERNAL_SETTLEMENT,
VOID,
WRITE_OFF,
REFUNDED,
CHARGEBACK,
PAYMENT_PLAN,
COLLECTIONS
patient
PatientSummary · object
required
createdDate
string<date-time>
required
adjustments
AdjustmentSummary · object[]
required
payments
ChargeTablePayment · object[]
required
plannedPayments
ChargeTablePlannedPayment · object[]
required
items
ChargeItem · object[]
required
description
string | null
ruleSetId
string | null
externalCreatedDate
string<date-time> | null
externalId
string | null
creator
UserTiny · object | null
comment
string | null
locationId
string | null
tips
TipDetail · object[]

List of Tips in the Charge.

Response

Successful Response

id
string
required

The unique identifier for the payment.

amount
integer
required

The total amount of the payment.

status
enum<string>
required

The current status of the payment.

Available options:
CANCELED,
CREATED,
FAILED,
IN_REVIEW,
PRESENTING,
PROCESSING,
SUCCEEDED
paymentMedium
string
required

The name of the payment medium.

createdDate
string<date-time>
required

The date and time the payment was created.

feeToPatient
integer
required

The fee charged to the patient for the transaction.

patientId
string | null

The ID of the patient associated with the payment.

payinId
string | null

The ID of the payin associated with the payment.

currency
string
default:USD

The currency in which the payment was made.

payinConfigId
string | null

The configuration ID for the payin.

paymentMethodId
string | null

The ID of the payment method used.

stripePaymentIntentId
string | null

Stripe's payment intent ID if used.

failedReason
string | null

Reason for payment failure if applicable.

updatedDate
string<date-time> | null

The date and time the payment was last updated.

fee
integer
default:0

The fee charged by the payment processor.